Loading ...
Sorry, an error occurred while loading the content.

NoteTab Pro and TopStyle

Expand Messages
  • Lawrence
    Is anyone using TopStyle with NoteTab? NoteTab is supposed to work with TopStyle. I am trying to help someone on the ntb-Linux list figure out the problems
    Message 1 of 12 , Sep 18, 2010
    • 0 Attachment
      Is anyone using TopStyle with NoteTab? NoteTab is supposed to work with TopStyle.

      I am trying to help someone on the ntb-Linux list figure out the problems with integration between NoteTab Pro and TopStyle using Wine.

      I am waiting to see what version of TopStyle he has.

      I downloaded the trial version of TopStyle 4 and it does not appear to have the integration features implemented so that NoteTab will talk to it. I tried this out using WinXP in VirtualBox. NOTE: I am using the trial version of NoteTab in this environment, as I have not configured it to see the location of my downloads & setup files to install the full version of NoteTab. This might also be part of the problem. I will be rectifying that shortly.

      I went with WinXP, since Wine runs like WinXP by default. If I can't get it to work on WinXP, then I know it won't work using Wine.

      Unfortunately, TopStyle is $80, so if it requires the full version, then I won't be able to help beyond suggestions.

      I know that TopStyle was sold to a new company a year or so ago, so perhaps the new company is no longer supporting the way NoteTab communicates with it. I see no mention of NoteTab on their website or in the help file.

      The only thing I can suggest right now is to configure the Custom Launch option, but that if very limited, compared to the integration and TopStyle specific Clip commands and the Top Style toolbar included with NoteTab.

      Eric - If you see this, can you give us any insight?

      Thanks!

      ~ Larry
    • Greg Chapman
      Hi Larry, ... I have a copy of Topstyle Pro 2.5. That s from 2002, before TopStyle included it s own HTML Editor (v3.0). I do not have it installed on my new
      Message 2 of 12 , Sep 18, 2010
      • 0 Attachment
        Hi Larry,

        On 18 Sep 10 21:44 "Lawrence" <lmh@...> said:
        > Is anyone using TopStyle with NoteTab? NoteTab is supposed to work
        > with TopStyle.

        I have a copy of Topstyle Pro 2.5. That's from 2002, before TopStyle
        included it's own HTML Editor (v3.0). I do not have it installed on
        my new (Win7) machine yet. If installing something that old will help
        you, let me know.

        I have clicked the "TopStyle Home Page" and "Download Topstyle" links
        in the NoteTab library and they both go to two different other program
        pages. :-(

        Greg
      • Larry Hamilton
        ... Thanks, Greg. Bradsoft sold TopStyle to another company about a year or so ago, from what I found online. The link for the new owner of TopStyle is:
        Message 3 of 12 , Sep 18, 2010
        • 0 Attachment
          On Sat, Sep 18, 2010 at 5:02 PM, Greg Chapman <gregchapmanuk@...>wrote:

          > Hi Larry,
          >
          > On 18 Sep 10 21:44 "Lawrence" <lmh@...> said:
          > > Is anyone using TopStyle with NoteTab? NoteTab is supposed to work
          > > with TopStyle.
          >
          > I have a copy of Topstyle Pro 2.5. That's from 2002, before TopStyle
          > included it's own HTML Editor (v3.0). I do not have it installed on
          > my new (Win7) machine yet. If installing something that old will help
          > you, let me know.
          >
          > I have clicked the "TopStyle Home Page" and "Download Topstyle" links
          > in the NoteTab library and they both go to two different other program
          > pages. :-(
          >
          > Greg
          >

          Thanks, Greg.

          Bradsoft sold TopStyle to another company about a year or so ago, from what
          I found online.

          The link for the new owner of TopStyle is: http://www.topstyle4.com/

          Here is what I just posted to the ntb-linux list:

          I got the full version of NoteTab Pro 6.2/fv installed on my WinXP in
          VirtualBox on Ubuntu. When I try to run any of the TopStyle clips, I get an
          "error" message. This is with TopStyle
          4.0.0.81 trial mode (unregistered).

          This message is the same as with the Trial version: "This Clip
          require's Bradsoft's TopStyle CSS editor, version 1.51 or later. Click OK to
          visit Bradsoft's web site for more
          information about TopStyle, or click Cancel to abort."

          My hunch is that newer version(s) of TopStyle no longer offer the
          integration hooks that allowed Eric to include support in NoteTab, this was
          back with NoteTab 4.8. Perhaps Eric can shed some light on this.

          Out of curiosity, I downloaded CSEHTML Validator 10.0003 Trial and it works
          with NoteTab as advertised in WinXP. The free lite version since 6.5
          supports NoteTab integration. I uninstalled the Trial version and Installed
          the lite version, 10.00.10. The main difference is that the full version of
          CSE can do accessiblity and other types of validation. I will also check it
          on Linux.

          I also checked Tidy and it still works, which I knew already, but for
          completeness related to the ntb-HTML list. FYI - The 32-bit Windows version
          is here: http://www.paehl.com/open_source/?HTML_Tidy_for_Windows and the
          64-bit windows version is here: http://int64.org/projects/tidy-binaries. For
          both, you want the EXE, not the DLL. I will also check it on Linux.

          ~ Larry


          [Non-text portions of this message have been removed]
        • Cary Driscoll
          TopStyle 3.5 and TopStyle Lite work with NoteTab, but TopStyle 4 broke the compatibility. ... From: Lawrence Sent: Saturday, September 18, 2010 1:44 PM
          Message 4 of 12 , Sep 18, 2010
          • 0 Attachment
            TopStyle 3.5 and TopStyle Lite work with NoteTab, but TopStyle 4 broke the
            compatibility.


            ----- Original Message -----
            From: "Lawrence"
            Sent: Saturday, September 18, 2010 1:44 PM
            Subject: [NH] NoteTab Pro and TopStyle


            > Is anyone using TopStyle with NoteTab? NoteTab is supposed to work with
            > TopStyle.
          • cary_driscoll
            I don t think integration hooks are involved. TopStyle 4 still works fine with CSE Validator and a couple other programs I have that are older than TS4, so I
            Message 5 of 12 , Sep 18, 2010
            • 0 Attachment
              I don't think integration hooks are involved. TopStyle 4 still works fine with CSE Validator and a couple other programs I have that are older than TS4, so I think the problem lies with whatever this bit of code is doing:

              ^!Clip "Check TopStyle Enabled"



              --- In ntb-html@yahoogroups.com, Larry Hamilton wrote:

              > My hunch is that newer version(s) of TopStyle no longer offer the
              > integration hooks that allowed Eric to include support in NoteTab, this was
              > back with NoteTab 4.8. Perhaps Eric can shed some light on this.
            • Larry Hamilton
              Thanks, Cary. Is that just from your experience, or do you have anything from Eric or Fookes about this, that we can reference? ~Larry On Sat, Sep 18, 2010 at
              Message 6 of 12 , Sep 18, 2010
              • 0 Attachment
                Thanks, Cary.

                Is that just from your experience, or do you have anything from Eric or
                Fookes about this, that we can reference?

                ~Larry

                On Sat, Sep 18, 2010 at 6:55 PM, Cary Driscoll
                <carydriscoll@...>wrote:

                > TopStyle 3.5 and TopStyle Lite work with NoteTab, but TopStyle 4 broke the
                > compatibility.
                >
                >
                > ----- Original Message -----
                > From: "Lawrence"
                > Sent: Saturday, September 18, 2010 1:44 PM
                > Subject: [NH] NoteTab Pro and TopStyle
                >
                >
                > > Is anyone using TopStyle with NoteTab? NoteTab is supposed to work with
                > > TopStyle.
                >


                [Non-text portions of this message have been removed]
              • Larry Hamilton
                Yes, that command is dependent on the program hooks/dll from TopStyle. Eric will have to fill us in on this. ~Larry On Sat, Sep 18, 2010 at 7:10 PM,
                Message 7 of 12 , Sep 18, 2010
                • 0 Attachment
                  Yes, that command is dependent on the program hooks/dll from TopStyle. Eric
                  will have to fill us in on this.

                  ~Larry

                  On Sat, Sep 18, 2010 at 7:10 PM, cary_driscoll
                  <carydriscoll@...>wrote:

                  > I don't think integration hooks are involved. TopStyle 4 still works fine
                  > with CSE Validator and a couple other programs I have that are older than
                  > TS4, so I think the problem lies with whatever this bit of code is doing:
                  >
                  > ^!Clip "Check TopStyle Enabled"
                  >
                  >
                  >
                  > --- In ntb-html@yahoogroups.com, Larry Hamilton wrote:
                  >
                  > > My hunch is that newer version(s) of TopStyle no longer offer the
                  > > integration hooks that allowed Eric to include support in NoteTab, this
                  > was
                  > > back with NoteTab 4.8. Perhaps Eric can shed some light on this.
                  >


                  [Non-text portions of this message have been removed]
                • Alec Burgess
                  Larry (and others -cc ntb-linux ) Someone else commented that integration worked up to version 3.x of TopStyle. Googling [old version topstyle] One of the top
                  Message 8 of 12 , Sep 18, 2010
                  • 0 Attachment
                    Larry (and others -cc ntb-linux )
                    Someone else commented that integration worked up to version 3.x of
                    TopStyle.
                    Googling [old version topstyle] One of the top results is:


                    Download *Topstyle* Lite (Free) -
                    FilePig<http://filepig.org/download/topstyle_lite/>
                    <http://filepig.org/download/topstyle_lite/>Latest Version *TopStyle* Lite
                    3.5. *Older Versions* *...* *TopStyle* contains powerful tools for building
                    standards-compliant web sites -
                    http://filepig.org/download/topstyle_lite/


                    I didn't complete the download but the links to it appear to work. Might be
                    worth a try - not sure whether TopStyle Light with whatever its restrictions
                    will satisfy OP's requirements?

                    Regards ... Alec
                    --


                    On Sat, Sep 18, 2010 at 16:44, Lawrence <lmh@...> wrote:

                    >
                    >
                    > Is anyone using TopStyle with NoteTab? NoteTab is supposed to work with
                    > TopStyle.
                    >
                    > I am trying to help someone on the ntb-Linux list figure out the problems
                    > with integration between NoteTab Pro and TopStyle using Wine.
                    >
                    > I am waiting to see what version of TopStyle he has.
                    >
                    > I downloaded the trial version of TopStyle 4 and it does not appear to have
                    > the integration features implemented so that NoteTab will talk to it. I
                    > tried this out using WinXP in VirtualBox. NOTE: I am using the trial version
                    > of NoteTab in this environment, as I have not configured it to see the
                    > location of my downloads & setup files to install the full version of
                    > NoteTab. This might also be part of the problem. I will be rectifying that
                    > shortly.
                    >
                    > I went with WinXP, since Wine runs like WinXP by default. If I can't get it
                    > to work on WinXP, then I know it won't work using Wine.
                    >
                    > Unfortunately, TopStyle is $80, so if it requires the full version, then I
                    > won't be able to help beyond suggestions.
                    >
                    > I know that TopStyle was sold to a new company a year or so ago, so perhaps
                    > the new company is no longer supporting the way NoteTab communicates with
                    > it. I see no mention of NoteTab on their website or in the help file.
                    >
                    > The only thing I can suggest right now is to configure the Custom Launch
                    > option, but that if very limited, compared to the integration and TopStyle
                    > specific Clip commands and the Top Style toolbar included with NoteTab.
                    >
                    >


                    [Non-text portions of this message have been removed]
                  • Larry Hamilton
                    Yes, I have this version on a backup somewhere. I downloaded from this site and scanned and it appears to be free of viruses, etc. I installed it and it works
                    Message 9 of 12 , Sep 18, 2010
                    • 0 Attachment
                      Yes, I have this version on a backup somewhere.

                      I downloaded from this site and scanned and it appears to be free of
                      viruses, etc.

                      I installed it and it works correctly with NoteTab on Wine. I did have some
                      access violations, but did not go into in-depth testing, beyond confirming
                      that it works.

                      Thanks for this Alec.

                      ~Larry

                      On Sat, Sep 18, 2010 at 7:55 PM, Alec Burgess <buralex@...> wrote:

                      > Larry (and others -cc ntb-linux )
                      > Someone else commented that integration worked up to version 3.x of
                      > TopStyle.
                      > Googling [old version topstyle] One of the top results is:
                      >
                      >
                      > Download *Topstyle* Lite (Free) -
                      > FilePig<http://filepig.org/download/topstyle_lite/>
                      > <http://filepig.org/download/topstyle_lite/>Latest Version *TopStyle* Lite
                      > 3.5. *Older Versions* *...* *TopStyle* contains powerful tools for building
                      > standards-compliant web sites -
                      > http://filepig.org/download/topstyle_lite/
                      >
                      >
                      > I didn't complete the download but the links to it appear to work. Might be
                      > worth a try - not sure whether TopStyle Light with whatever its
                      > restrictions
                      > will satisfy OP's requirements?
                      >
                      > Regards ... Alec
                      >


                      [Non-text portions of this message have been removed]
                    • Dave
                      Hi could I ask something with linux you must use wine to get notetab to run plus top style . or with linux you install virtual box then install XP then notetab
                      Message 10 of 12 , Sep 19, 2010
                      • 0 Attachment
                        Hi
                        could I ask something
                        with linux you must use wine to get notetab to run plus top style .
                        or
                        with linux you install virtual box then install XP then notetab to run plus
                        top style .
                        what the point of XP and wine to get notetab then top style
                        would it make more sense install virtual box then linux and then wine and
                        then notetab ??
                        THANKYOU DAVE M

                        ----- Original Message -----
                        From: "Lawrence" <lmh@...>
                        To: <ntb-html@yahoogroups.com>
                        Sent: Sunday, September 19, 2010 6:44 AM
                        Subject: [NH] NoteTab Pro and TopStyle


                        > Is anyone using TopStyle with NoteTab? NoteTab is supposed to work with
                        > TopStyle.
                        >
                        > I am trying to help someone on the ntb-Linux list figure out the problems
                        > with integration between NoteTab Pro and TopStyle using Wine.
                        >
                        > I am waiting to see what version of TopStyle he has.
                        >
                        > I downloaded the trial version of TopStyle 4 and it does not appear to
                        > have the integration features implemented so that NoteTab will talk to it.
                        > I tried this out using WinXP in VirtualBox. NOTE: I am using the trial
                        > version of NoteTab in this environment, as I have not configured it to see
                        > the location of my downloads & setup files to install the full version of
                        > NoteTab. This might also be part of the problem. I will be rectifying that
                        > shortly.
                        >
                        > I went with WinXP, since Wine runs like WinXP by default. If I can't get
                        > it to work on WinXP, then I know it won't work using Wine.
                        >
                        > Unfortunately, TopStyle is $80, so if it requires the full version, then I
                        > won't be able to help beyond suggestions.
                        >
                        > I know that TopStyle was sold to a new company a year or so ago, so
                        > perhaps the new company is no longer supporting the way NoteTab
                        > communicates with it. I see no mention of NoteTab on their website or in
                        > the help file.
                        >
                        > The only thing I can suggest right now is to configure the Custom Launch
                        > option, but that if very limited, compared to the integration and TopStyle
                        > specific Clip commands and the Top Style toolbar included with NoteTab.
                        >
                        > Eric - If you see this, can you give us any insight?
                        >
                        > Thanks!
                        >
                        > ~ Larry
                        >
                        >
                        >
                        > ------------------------------------
                        >
                        > Fookes Software: http://www.fookes.com/
                        > NoteTab website: http://www.notetab.com/
                        > NoteTab Discussion Lists: http://www.notetab.com/groups.php
                        >
                        > ***
                        > Yahoo! Groups Links
                        >
                        >
                        >
                      • Larry Hamilton
                        Dave, I started the ntb-Linux group to help people figure out how to run NoteTab on Linux or other OSes and environments. There were always sporadic questions
                        Message 11 of 12 , Sep 19, 2010
                        • 0 Attachment
                          Dave,

                          I started the ntb-Linux group to help people figure out how to run NoteTab
                          on Linux or other OSes and environments. There were always sporadic
                          questions on how to run NoteTab on Linux, so I made a list of all the posts
                          that I had answered over the years, and started the ntb-Linux list 3 years
                          ago tomorrow. Now, we just point people to that list instead of trying to
                          figure out what other NoteTab list to use.

                          We also help figure out issues with other Fookes products, like MailBag
                          Assistant, etc.

                          I was just trying to figure out something for a new member on that list.

                          I install Wine on Linux, then I run NoteTab. The benefit of this is that is
                          uses less resources, and I do not have to start Wine, like I would have to
                          start a virtual environment, log into Windows, then start NoteTab. With
                          Wine, I just start NoteTab, like I would in Windows. Windows is a faster to
                          boot in this virtual environment. It is also more secure, since if it does
                          get a virus, I can just delete the image and restore from a known good
                          backup.

                          Since TopStyle is supposed to talk with NoteTab and is used for checking
                          HTML, I figured those on the ntb-HTML list might know something about it,
                          which they did.

                          Not being a TopStyle user, I did not install it right away in Wine, but
                          instead I have VirtualBox OSE in which I have WinXP installed. I wanted to
                          make sure that I could get it to work in WinXP, since Wine emulates WinXP. I
                          have WinXP available to me in Linux via Virtual Box, so that I do not have
                          to re-boot to check things in a Windows environment.

                          I confirmed on my virtual WinXP that NoteTab 6.2 and TopStyle 4x no longer
                          communicate like they once did. At the suggestion of another, I installed
                          the lite version of TopStyle 3, and it works. I then installed that old
                          version of TopStyle on Wine and it also works.

                          While I was at it, I went to the list of Third Party applications in
                          NoteTab's Help and downloaded all of them to try them in Wine, and TopStyle
                          4x is the only one that ran in Wine, but did not communicate with NoteTab as
                          did previous versions. Some of them had issues, which I documented on the
                          ntb-linux list.

                          I dual boot Linux and Windows 7. I am in Linux most of the time. Windows
                          came with my new PC. I am stuck with Windows XP at work, and the PC had
                          Vista with a free upgrade to Windows 7. This gave me a chance to play with
                          two versions of Windows I only encounter when I have to remote in to help
                          clients. I have a few programs that work better in Windows than Linux, but
                          as Wine gets better, I need Windows less and less.

                          ~ Larry

                          On Sun, Sep 19, 2010 at 8:45 AM, Dave <dmc43959@...> wrote:

                          > Hi
                          > could I ask something
                          > with linux you must use wine to get notetab to run plus top style .
                          > or
                          > with linux you install virtual box then install XP then notetab to run plus
                          > top style .
                          > what the point of XP and wine to get notetab then top style
                          > would it make more sense install virtual box then linux and then wine and
                          > then notetab ??
                          > THANKYOU DAVE M
                          >
                          > ----- Original Message -----
                          > From: "Lawrence" <lmh@...>
                          > To: <ntb-html@yahoogroups.com>
                          > Sent: Sunday, September 19, 2010 6:44 AM
                          > Subject: [NH] NoteTab Pro and TopStyle
                          >
                          >
                          > > Is anyone using TopStyle with NoteTab? NoteTab is supposed to work with
                          > > TopStyle.
                          > >
                          > > I am trying to help someone on the ntb-Linux list figure out the problems
                          > > with integration between NoteTab Pro and TopStyle using Wine.
                          > >
                          > > I am waiting to see what version of TopStyle he has.
                          > >
                          > > I downloaded the trial version of TopStyle 4 and it does not appear to
                          > > have the integration features implemented so that NoteTab will talk to
                          > it.
                          > > I tried this out using WinXP in VirtualBox. NOTE: I am using the trial
                          > > version of NoteTab in this environment, as I have not configured it to
                          > see
                          > > the location of my downloads & setup files to install the full version of
                          > > NoteTab. This might also be part of the problem. I will be rectifying
                          > that
                          > > shortly.
                          > >
                          > > I went with WinXP, since Wine runs like WinXP by default. If I can't get
                          > > it to work on WinXP, then I know it won't work using Wine.
                          > >
                          > > Unfortunately, TopStyle is $80, so if it requires the full version, then
                          > I
                          > > won't be able to help beyond suggestions.
                          > >
                          > > I know that TopStyle was sold to a new company a year or so ago, so
                          > > perhaps the new company is no longer supporting the way NoteTab
                          > > communicates with it. I see no mention of NoteTab on their website or in
                          > > the help file.
                          > >
                          > > The only thing I can suggest right now is to configure the Custom Launch
                          > > option, but that if very limited, compared to the integration and
                          > TopStyle
                          > > specific Clip commands and the Top Style toolbar included with NoteTab.
                          > >
                          > > Eric - If you see this, can you give us any insight?
                          > >
                          > > Thanks!
                          > >
                          > > ~ Larry
                          > >
                          > >
                          > >
                          > > ------------------------------------
                          > >
                          > > Fookes Software: http://www.fookes.com/
                          > > NoteTab website: http://www.notetab.com/
                          > > NoteTab Discussion Lists: http://www.notetab.com/groups.php
                          > >
                          > > ***
                          > > Yahoo! Groups Links
                          > >
                          > >
                          > >
                          >
                          >
                          >
                          > ------------------------------------
                          >
                          > Fookes Software: http://www.fookes.com/
                          > NoteTab website: http://www.notetab.com/
                          > NoteTab Discussion Lists: http://www.notetab.com/groups.php
                          >
                          > ***
                          > Yahoo! Groups Links
                          >
                          >
                          >
                          >


                          [Non-text portions of this message have been removed]
                        • Marcelo Bastos
                          ... I m trying to determine if you are serious or just joking, but... Both NoteTab and TopStyle are Windows applications. They need Windows, or at least some
                          Message 12 of 12 , Sep 19, 2010
                          • 0 Attachment
                            Interviewed by CNN on 19/9/2010 09:45, Dave told the world:
                            > Hi
                            > could I ask something
                            > with linux you must use wine to get notetab to run plus top style .
                            > or
                            > with linux you install virtual box then install XP then notetab to run plus
                            > top style .
                            > what the point of XP and wine to get notetab then top style
                            > would it make more sense install virtual box then linux and then wine and
                            > then notetab ??

                            I'm trying to determine if you are serious or just joking, but...

                            Both NoteTab and TopStyle are Windows applications. They need Windows,
                            or at least some reasonable facsimile, to run.

                            Linux by itself is not a "reasonable facsimile." So, if you are running
                            Linux (or BSD, or a Mac, for that matter) you need to add some sort of
                            Windows layer between Linux and the Notetab/TopStyle.

                            There are two main ways to do that:

                            First way is to install an emulator like VirtualBox and run a virtual
                            machine with a full copy of Windows inside it. This is guaranteed to run
                            all, or at least very very nearly all, Windows applications without
                            compatibility problems: you DO have a full Windows installation, of course.
                            There are some problems with that approach:
                            - It's resource intensive (lots of CPU, RAM and hard disk space)
                            - You still need a Windows license
                            - The applications "inside" the Windows virtual machine don't
                            communicate well with the ones "outside." In fact, most of the time,
                            it's like they are in an entirely different machine.
                            - It kinda goes against the whole point of running Linux: you are still
                            running Windows at the end of the day.

                            The other way is to use a "compatibility layer" like Wine. Basically,
                            Wine deceives the programs into "thinking" they are running on Windows
                            when they are actually running in Linux. It's not nearly as resource
                            intensive, and the programs communicate better with the Windows
                            environment. Best of all, it's free (both free-as-in-beer and
                            free-as-in-speech) and does not need you to purchase a Windows license
                            in most cases.

                            However, Wine is not without its limitations too. Some applications need
                            lots of tweaks to run acceptably. Some just don't run in Wine, due to
                            using weird Windows "tricks" that aren't documented and are difficult to
                            duplicate.

                            So... I don't see the point of "installing Virtualbox, then Linux, then
                            Wine, then Notetab." If you are running Linux in the first place, you
                            don't have to install Virtualbox to run a SECOND instance of Linux. And
                            if you are running Windows, you don't need Virtualbox, Linux OR Wine.

                            --
                            MCBastos

                            This message has been protected with the 2ROT13 algorithm. Unauthorized
                            use will be prosecuted under the DMCA.

                            -=-=-
                            ... Only a wimpy God can't get it right the first time!
                            *Added by TagZilla 0.066.2 running on Seamonkey 2.0.8 *
                            Get it at http://xsidebar.mozdev.org/modifiedmailnews.html#tagzilla
                          Your message has been successfully submitted and would be delivered to recipients shortly.